Bug 1577241 - Wrong identation on playbooks in Disaster Recovery Guide
Summary: Wrong identation on playbooks in Disaster Recovery Guide
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: Documentation
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Avital Pinnick
QA Contact: Byron Gravenorst
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-11 14:22 UTC by Vagner Farias
Modified: 2019-05-07 12:50 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-14 06:48:45 UTC
oVirt Team: Docs
Target Upstream Version:


Attachments (Terms of Use)

Description Vagner Farias 2018-05-11 14:22:48 UTC
Description of problem:
Example dr-rhv-failover.yml and dr-rhv-failback.yml playbooks[1] have wrong identation which prevents them from working.


[1] https://access.redhat.com/documentation/en-us/red_hat_virtualization/4.2-beta/html/disaster_recovery_guide/active_passive#create_failover_failback


Current dr-rhv-failover.yml:

---
  - name: Failover RHV    # wrong identation  
    hosts: localhost      # wrong identation
    connection: local     # wrong identation
  vars:
    dr_target_host: secondary
    dr_source_map: primary
  vars_files:
    - disaster_recovery_vars.yml
    - passwords.yml
  roles:
    - oVirt.disaster-recovery

Corrected dr-rhv-failover.yml

---
- name: Failover RHV
  hosts: localhost 
  connection: local
  vars:
    dr_target_host: secondary
    dr_source_map: primary
  vars_files:
    - disaster_recovery_vars.yml
    - passwords.yml
  roles:
    - oVirt.disaster-recovery


Current  dr-rhv-failback.yml

---
  - name: Failback RHV    # wrong identation
    hosts: localhost      # wrong identation
    connection: local     # wrong identation
  vars:
    dr_target_host: primary
    dr_source_map: secondary
  vars_files:
    - disaster_recovery_vars.yml
    - passwords.yml
  roles:
    - oVirt.disaster-recovery


Corrected dr-rhv-failback.yml

---
- name: Failback RHV
  hosts: localhost
  connection: local
  vars:
    dr_target_host: primary
    dr_source_map: secondary
  vars_files:
    - disaster_recovery_vars.yml
    - passwords.yml
  roles:
    - oVirt.disaster-recovery


Note You need to log in before you can comment on or make changes to this bug.